Honorato
Posts: 1
Joined: Wed Jun 27, 2018 11:34 am

WiringPi 2.46 not working

Wed Jun 27, 2018 12:08 pm

Good day: I have a Raspberry pi 3:

When I try to use the BlueJava from the Raspberry this mesage appears :
Unable to determine hardware version. I see: Hardware : BCM2835
,
- expecting BCM2708 or BCM2709.
If this is a genuine Raspberry Pi then please report this
to [email protected]. If this is not a Raspberry Pi then you
are on your own as wiringPi is designed to support the
Raspberry Pi ONLY.

My hardaware is BCM2835.

I have contacted with Gordon Henderson on this matter.
He told me, so angry, that I have to use wiringPi version 2.44 and not version 2.46.
I do not know how to do it.
Can somebody help me. Please.
Thank you.

User avatar
DougieLawson
Posts: 33805
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website

Re: WiringPi 2.46 not working

Wed Jun 27, 2018 2:17 pm

Microprocessor, Raspberry Pi & Arduino Hacker
Mainframe database troubleshooter
MQTT Evangelist
Twitter: @DougieLawson

2012-18: 1B*5, 2B*2, B+, A+, Z, ZW, 3Bs*3, 3B+

Any DMs sent on Twitter will be answered next month.

User avatar
RaTTuS
Posts: 10085
Joined: Tue Nov 29, 2011 11:12 am
Location: North West UK

Re: WiringPi 2.46 not working

Wed Jun 27, 2018 2:25 pm

basically don't static link
pi4j.linking=dynamic

old versions will stop working on newer machines

this is not Gordon's problem but whoever makes the library
How To ask Questions :- http://www.catb.org/esr/faqs/smart-questions.html
WARNING - some parts of this post may be erroneous YMMV

1QC43qbL5FySu2Pi51vGqKqxy3UiJgukSX
Covfefe

Return to “Java”

Who is online

Users browsing this forum: No registered users and 1 guest